aboutsummaryrefslogtreecommitdiff
path: root/python/PyPy3/PyPy3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'python/PyPy3/PyPy3.SlackBuild')
-rw-r--r--python/PyPy3/PyPy3.SlackBuild11
1 files changed, 9 insertions, 2 deletions
diff --git a/python/PyPy3/PyPy3.SlackBuild b/python/PyPy3/PyPy3.SlackBuild
index 38d3711b7b..a6b76d7275 100644
--- a/python/PyPy3/PyPy3.SlackBuild
+++ b/python/PyPy3/PyPy3.SlackBuild
@@ -24,7 +24,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=PyPy3
-VERSION=${VERSION:-7.3.12}
+VERSION=${VERSION:-7.3.13}
SRCNAM=pypy3.9
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -59,6 +59,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
@@ -87,7 +90,7 @@ $PYCMD ../../rpython/bin/rpython -Ojit targetpypystandalone
# Second step : packaging by PyPy
cd ../tool/release/
-python package.py --builddir ../../../SBo --archive-name $PRGNAM-$VERSION
+python2 package.py --builddir ../../../SBo --archive-name $PRGNAM-$VERSION
# Third step : repackaging in the pypy3 style
cd ../../../SBo/$PRGNAM-$VERSION
@@ -100,6 +103,10 @@ find -L . \
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
cp -a * $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/bin/*.debug
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Create symlinks to pypy3 executables.
mkdir -p $PKG/usr/bin